*{
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    font-family: 'Mirza';
}

body{
    background: linear-gradient(30deg, black, #14213D);
    display: flex;
    min-height: 100vh;
    justify-content: center;
    align-items: center;
}

.container{
    max-width: 700px;
    width: 100%;
    background: whitesmoke;
    padding: 25px 30px;
    border-radius: 5px;
}

.container .title{
    font-size: 25px;
    font-weight: 500;
    position: relative;
}

.container .title::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 30px;
}

.container form .user-details{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

form .user-details .input-box{
    margin-bottom: 15px;
    width: calc(100%/2 - 20px);
}

.user-details .input-box .details{
    display: block;
    font-weight: 500;
    margin-bottom: 5px;
}
.user-details .input-box input{
    height: 45px;
    width: 100%;
    outline: none;
    border-radius: 5px;
    border: 1px solid #ccc;
    padding-left: 15px;
    font-size: 16px;
    border-bottom-width: 2px;
    transition: all 0.3s ease;
}

.user-details .input-box input:focus,
.user-details .input-box input:valid{
    border-color: #14213D;
}

form .gender-details .gender-title{
    font-size: 20px;
    font-weight: 500;
}

form .gender-details .category{
    display: flex;
    width: 80%;
    margin: 14px 0;
}

.gender-details .category label{
    display: flex;
    align-items: center;
}

.gender-details .category .dot{
    height: 18px;
    width: 18px;
    background: #d9d9d9;
    border-radius: 50%;
    margin-right: 10px;
    border: 5px solid transparent;
    transition: all 0.3s ease;
}

#dot-1:checked ~ .category label .one,
#dot-2:checked ~ .category label .two{
    border-color: #d9d9d9;
    background: black;
}


form input[type="radio"]{
    display: none;
}

form .button{
    height: 45px;
    margin: 45px 0;
    align-items: center;
}

form .button input{
    font-family: 'Mirza';
    height: 100%;
    width: 100%;
    outline: none;
    color: #fff;
    border: none;
    font-size: 18px;
    font-weight: 500;
    border-radius: 5px;
    letter-spacing: 1px;
    background: black;
    transition: 0.5s;
    cursor: pointer;
    margin-bottom: 10px;
}

form .button input:hover{
    background: rgb(43, 43, 43);
}



.category .gender{
    margin-top: 7px;
    margin-right: 25px;
}

@media screen and (max-width: 768px) {
    .container{
        max-width: 90%;
    }
    form .user-details .input-box{
        margin-bottom: 15px;
        width: 100%;
    }
    form .gender-details .category{
        width: 100%;
    }

    .container form .user-details{
        max-height: 500px;
        overflow-y: scroll;
    }

    .user-details::-webkit-scrollbar{
        width: 0;
    }
    
}